import { ComponentDataProvider } from '@dvn/core/doldurma/src/providers/ComponentDataProvider';
import { DamgaApi } from '../api/damga-api';
import { TargetGroup } from '../models/target-group';
export declare class DvnDataProviderTargetGroups implements ComponentDataProvider<TargetGroup[]> {
  damgaApi: DamgaApi;
  list: TargetGroup[];
  constructor(damgaApi: DamgaApi);
  getInitialData(): Promise<TargetGroup[]>;
  getData(): Promise<TargetGroup[]>;
  getQuickSearchText(): string;
  isQuickSearchEnabled(): boolean;
  setInitialData(_data: TargetGroup[]): void;
  setQuickSearchText(_text: string): void;
}
